> ## Documentation Index
> Fetch the complete documentation index at: https://developers.aimtell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Website Custom Variables

> Gets a Website's Custom Variables



## OpenAPI

````yaml /api-reference/sites-openapi.json get /prod/site/variables/{id}
openapi: 3.1.0
info:
  title: sites
  version: '1.1'
servers:
  - url: https://api.aimtell.com
security:
  - sec0: []
paths:
  /prod/site/variables/{id}:
    get:
      tags:
        - Settings
      summary: Get Website Custom Variables
      description: Gets a Website's Custom Variables
      operationId: api-get-website-custom-variables
      parameters:
        - name: id
          in: path
          description: Site ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    - id: 1234
                      id_site: 12345
                      name: site_identifier
                      value: website12345
                      created_at: '2020-08-26 17:05:15'
                      updated_at: '2020-08-26 17:05:15'
                      snippet: '{custom_variable:site_identifier}'
                    - id: 1235
                      id_site: 12345
                      name: domain
                      value: website12345.com
                      created_at: '2020-11-10 20:08:21'
                      updated_at: '2020-11-10 20:08:21'
                      snippet: '{custom_variable:domain}'
                    - id: 1236
                      id_site: 20599
                      name: source
                      value: aimtell
                      created_at: '2020-08-26 17:26:51'
                      updated_at: '2020-08-26 17:26:51'
                      snippet: '{custom_variable:source}'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    result: error
                    message: 'Error #136.'
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Result:
                  value:
                    result: error
                    message: Please specify a valid auth_token.
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      name: X-Authorization-Api-Key
      in: header
      x-default: ''

````